$kind: http-request
url: "{{sahara_local}}purchase-requests/reports/trends/yearly"
method: GET
body:
  type: json
  content: "{\r

    \    \"start_date\":\"2024-08-01\",\r

    \    \"end_date\":\"2024-08-24\"\r

    } //All Optional, backend defaults to \r

    \r

    \ Route::get('trends/monthly', [PurchaseRequestReportsController::class,
    'prsByMonth']);\r

    \    Route::get('trends/yearly', [PurchaseRequestReportsController::class,
    'prsByYear']);\r

    \    Route::get('trends/approval-time',
    [PurchaseRequestReportsController::class, 'approvalTime']);\r

    \    Route::get('trends/top-departments',
    [PurchaseRequestReportsController::class, 'topDepartments']);\r

    \    Route::get('trends/top-requesters',
    [PurchaseRequestReportsController::class, 'topRequesters']);"
auth:
  type: bearer
  credentials:
    token: "{{sahara_local_token}}"
order: 3000
